## zeesteroids 0.1-maemo2

=== Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of Zeesteroids.
#
# Zeesteroids is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Zeesteroids is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Zeesteroids.  If not, see <http://www.gnu.org/licenses/>.
#

APP = zeesteroids
CFLAGS = -DOSSO -DAPP=\"$(APP)\" `pkg-config --cflags --libs gconf-2.0 libosso` -I/usr/include/SDL -lSDL -lSDL_gfx

all: $(APP)

$(APP): $(APP).c
	gcc $(CFLAGS) -o $@ $< -lzeemote -lzeemote-conf -lbluetooth

install:
	install $(APP) $(DESTDIR)/usr/bin
	install $(APP).desktop $(DESTDIR)/usr/share/applications/hildon
	install $(APP).26.png $(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/$(APP).png
	install $(APP).40.png $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/$(APP).png
	install $(APP).64.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/$(APP).png

clean:
	rm -f $(APP) *.o *~

## zeesteroids 0.1-maemo1

=== debian/changelog ===
zeesteroids (0.1-maemo1) unstable; urgency=low

  * Initial release

 -- Till Harbaum <Till@Harbaum.org>  Fri, 8 May 2009 19:35:42 +0100

=== debian/control ===
Source: zeesteroids
Section: user/games
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), libzeemote-dev, libzeemote-conf-dev, libosso-dev, libgconf2-dev, libbluetooth2-dev | libbluetooth3-dev, libsdl1.2-dev, libsdl-gfx1.2-dev
Standards-Version: 3.7.2

Package: zeesteroids
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}
Maemo-Display-Name: Zeesteroids
Description: Zeemote exmaple game
 This game is a simple example to demonstrate the usage of the zeemote
 under Maemo. This is not a complete game.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0T/////
 //8JWPfcAAAACXBIWXMAAAAnAAAAJwEqCZFPAAAACXZwQWcAAAAaAAAAGgAH
 smYvAAAFNUlEQVRYw+WYX0xTVxzHf7X1YunIHDFOC7UjLUJctLDMgrHl3pZV
 ZCQmfXDRhxJNJNkSFybZxjYsnHbO+WD2sGUR0QZeRB/mEl8gEcXbWWuWdFkk
 prdNk4LV9jJuCw8t2n+3Zy8tGEjTgiD78325D/d3fr/f5/zO75xzrwBjjDGG
 /4w2bXQC/3ug5LnkueQ5KcWQDMmQ/X0vTC9ML0w1iwa5JfdPfSYCiUAisIP2
 q/1qv/rCvVt7bu25tecv7Op39bv6T1NL7UUbPeNLlTKmjCnj2/Bs+7Ptz7Z/
 hoP1wfpg/ado+tr0telrEsTOs/PsvB8MHoPH4BlG2WFUbvyGAyX3J/cn91eg
 4MngyeDJ0/fYM+wZ9swplMIpnMLbgPNxPs4HiGEZlmEBmj3NnmZPv07cIe4Q
 d8zSS/29dqB0e7o93V5OB1wBV8D1Dcn2sD1szykqXZmuTFe+SQMGDBiAk3AS
 TgLAPGQeMg8B5EK5UC4cR+pWdau69ae8/tcdKOFMOBNOGRVShVQh1cd97Ag7
 wo58ci91M3UzdfMtMmu2MNPZiiyAZHZldmV2ATTpm/RN+m8FokpRpagyTueL
 t+a7HDZgAzaUQJgP82HeCBO9E70TvXfIbEWoLAhaOo6r4Cq4CgCmhqlhahZB
 FDaFTWEbQ/IqeZW8yoEKxX/1CglBCEIRzNhn7DP2j+Dp6NPRp6Of98UcMUfM
 UY/ADGYw5x/OpbgUlwJwE27CTQDgcTyOxwGEvJAX8kkggQQSrBZBRpARZNIF
 01k5UBYgcjxyPHK8DT1pfNL4pLEXR/koH+XfQ/AAHsCDwm7CbeG2cBuAJ+6J
 e+IA2IzN+CXwXK/IrDKrzOooOr2CQAtLyB/2h/1GFBgIDAQGuvtiypgypqxb
 8XxwB7mD3EEAt9qtdqsBMIlJTC6+F4+KR8Wjc0hbq63V1p7XwQE4AAeK9y/I
 d5eLjEXGImNHYEowJZgSWPpim2ObY5vr0IoJchW5Gr4avrrY7LyJN/Gm5Xba
 gDagDZyn9Ta9TW/r0a00zrIKTaQn0hPp2+QcMUfMEQZ6tQBLQR4rHysfKwFA
 CUpQLreTDkuHpcN/IL1X79V7eyyrjbdsl1M0KhoVjV9YiFlilpidXjVIbmnl
 KlJIWqvWqrV+t2qQvEASl8QlcT2iVKACFejthJbQElqWLtZhrtndh9yH3Ify
 L62cdl7feX3n9T9Rta/aV+0beVWe/OdQqbHUWGpkqH0d+zr2dbTqCBkhI2TT
 VD773PbLxJk4E1/e7EtV4i3xlnijlCFpSBqSX1qEZ4VnhWcT6weUk8QmsUls
 j0DVLLovut+pKzFFbBHbSyDZA9G9273bvRuAN/Nm3lzIK0DtpdpLtZd+RVX+
 Kn+V/84rgxQNlFPp5JWhK0MfkO/eds/3jL10RcleGvEgHsSDxQdusjZZm9ag
 Z1YBFIIQSAHg96kb1DG6bOB9hXcAYEf1G/U/BwGwJjOe1hYfsE5Vp6pTDVHl
 e8v3lu/1oQ0AkoIUQgDQ8M4x+gYFP3wvxkcANKTlFxoB6Ab5QLLdWTCxrZ1b
 O7d2TkLL5ZbLLZe7dHACTsCJxe+YtVLeg3W5nsNzKAWAERiBDwFgG9qGwggE
 GovG4kS/yZ1yp/wrih6ih+ihPhLbsR3bNy2AHu4+3H24u9PSsKVhS8OWHwtO
 wGsAKk4Ok8PkMH1N31XeVd5VnifLomXRsmgIui52Xey6WCFYL5Cc1vx7SCPS
 iDSiC4if5Cf5SQJJjkqOSo7OUOsNktOaV2ij9a/7jVVIfwMejgMe1Sts5wAA
 ACp6VFh0Q29tbWVudAAAeNrzCnB1t0rPK9XNSE1M0csqSFcwMjerMDIzBABo
 mgeptDkYGQAAAABJRU5ErkJggg==

## zeesteroids 0.1-maemo2

=== debian/changelog ===
zeesteroids (0.1-maemo2) unstable; urgency=low

  * Fixed dependecies for fremantle

 -- Till Harbaum <till@harbaum.org>  Tue, 13 Oct 2009 20:46:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
 
 Package: zeesteroids
 Architecture: any
-Pre-Depends: maemo-select-menu-location
 Depends: ${shlibs:Depends}
-Maemo-Display-Name: Zeesteroids
-Description: Zeemote exmaple game
+Description: Zeemote example game
  This game is a simple example to demonstrate the usage of the zeemote
- under Maemo. This is not a complete game.
+ under Maemo. This is not a complete game (yet).
+XB-Maemo-Display-Name: Zeesteroids
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0T/////
  //8JWPfcAAAACXBIWXMAAAAnAAAAJwEqCZFPAAAACXZwQWcAAAAaAAAAGgAH

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/zeesteroids.
	$(MAKE) DESTDIR=$(CURDIR)/debian/zeesteroids install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## zeesteroids 0.1-maemo3

=== debian/changelog ===
zeesteroids (0.1-maemo3) unstable; urgency=low

  * Yet another dependency fix as libzeemote-conf is now optional

 -- Till Harbaum <till@harbaum.org>  Fri, 12 Mar 2010 17:24:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 
 Package: zeesteroids
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libzeemote-conf
 Description: Zeemote example game
  This game is a simple example to demonstrate the usage of the zeemote
  under Maemo. This is not a complete game (yet).
-XB-Maemo-Display-Name: Zeesteroids
+XB-Maemo-Display-Name: Zeesteroids Zeemote demo
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0T/////
  //8JWPfcAAAACXBIWXMAAAAnAAAAJwEqCZFPAAAACXZwQWcAAAAaAAAAGgAH
